Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.util
Class RequestProcessorCache.WorkspaceCache

    java.lang.Object
      org.modeshape.connector.store.jpa.util.RequestProcessorCache.WorkspaceCache

Enclosing class:
  RequestProcessorCache

    public class RequestProcessorCache.WorkspaceCache

extends Object

Method Summary
`void` | `addNewNode(Location location)`
`LinkedList<Location>` | `getAllChildren(Path parent)`
`Location` | `getLocationFor(Path node)`
`String` | `getString(NamespaceRegistry namespaces)`
`boolean` | `moveNode(Location oldLocation, int oldIndexInParent, Location newLocation)`
`protected String` | `pathSegmentString(Path.Segment segment, NamespaceRegistry registry)`
`protected String` | `pathString(Path path, NamespaceRegistry registry)`
`boolean` | `removeBranch(Iterable<Location> locations)`
`protected boolean` | `removeChildFromParentListOfChildren(LinkedList<Location> siblings, Location deletedNode, int expectedIndex)`
`protected void` | `removeNodesBelow(Path path, boolean removeNodeAtSuppliedPath)`
`void` | `setAllChildren(Path parent, LinkedList<Location> children)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLocationFor

    public Location getLocationFor(Path node)

### addNewNode

    public void addNewNode(Location location)

### getAllChildren

    public LinkedList<Location> getAllChildren(Path parent)

### setAllChildren

    public void setAllChildren(Path parent,
                               LinkedList<Location> children)

### moveNode

    public boolean moveNode(Location oldLocation,
                            int oldIndexInParent,
                            Location newLocation)

### removeNodesBelow

    protected void removeNodesBelow(Path path,
                                    boolean removeNodeAtSuppliedPath)

### removeBranch

    public boolean removeBranch(Iterable<Location> locations)

### removeChildFromParentListOfChildren

    protected boolean removeChildFromParentListOfChildren(LinkedList<Location> siblings,
                                                          Location deletedNode,
                                                          int expectedIndex)

### getString

    public String getString(NamespaceRegistry namespaces)

### pathString

    protected String pathString(Path path,
                                NamespaceRegistry registry)

### pathSegmentString

    protected String pathSegmentString(Path.Segment segment,
                                       NamespaceRegistry registry)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.